javax.visrec.regression

## Interface Regressor<I,R>

Type Parameters:
  `I` - type of inputs / features
  `R` - return/result type

All Known Implementing Classes:
  SimpleLinearRegression

    public interface Regressor<I,R>

Base interface for all regressors. Regressors try to predict a continual value(s) (a decimal number) based on a set of inputs.

Author:
  Zoran Sevarac

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `predict(I inputs)`

### Method Detail

#### predict

    R predict(I inputs)